Skip to main content
DELETE
/
api-list
/
list
/
{listId}
Delete list
curl --request DELETE \
  --url https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId} \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "List deleted successfully"
}
{
"code": "<string>",
"message": "<string>"
}
{
"code": "LIST_TYPE_NOT_FOUND",
"message": "List type ID not found"
}
{
"code": "<string>",
"message": "<string>"
}

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

x-api-key
string
Example:

"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"

Path Parameters

listId
string
required

Response

Delete list by Id

message
string
Example:

"List deleted successfully"